#include<bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int a;
    cin >> a;
    int ar[a],arr[a];
    for(int i = 0 ; i < a ; i ++ )cin >>ar[i];
    for(int i = 0 ; i < a ; i ++ )cin >>arr[i];
    long long ans = ar[0], sum = arr[0];
    for(int i = 0; i < a ;i++)
    {
        if(ar[i] > ans)
        {
            sum += arr[i];
            ans = ar[i];
        }
    }
    long long sam = sum;
    reverse(arr,arr + a);
    reverse(ar,ar + a);
    ans = ar[0], sum = arr[0];
    for(int i = 0; i < a ;i++)
    {
        if(ar[i] > ans)
        {
            sum += arr[i];
            ans = ar[i];
        }
    }
    cout << min(sam,sum);
}
